curl --request GET \
--url https://api.withterminal.com/tsp/v1/syncs \
--header 'Authorization: Bearer <token>' \
--header 'Connection-Token: <connection-token>'import requests
url = "https://api.withterminal.com/tsp/v1/syncs"
headers = {
"Connection-Token": "<connection-token>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Connection-Token': '<connection-token>', Authorization: 'Bearer <token>'}
};
fetch('https://api.withterminal.com/tsp/v1/syncs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "sync_01GV12VR4DJP70GD1ZBK0SDWFH",
"status": "completed",
"requestedAt": "2021-01-06T03:24:53.000Z",
"failureReason": "Reason for failure if sync status is 'failed'",
"progress": 85,
"issues": [
"isu_01D8ZQFGHVJ858NBF2Q7DV9MNC"
],
"startFrom": "2021-01-06T03:24:53.000Z",
"completedAt": "2021-01-06T03:24:53.000Z",
"attempts": 1,
"providerRequests": [
"historical_files"
]
}
],
"next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"
}{
"code": "bad_request",
"message": "Invalid request body",
"detail": [
{
"message": "'vehicleId' property must be a valid ulid",
"path": "{requestQuery}.vehicleId",
"suggestion": "Please ensure you submit a valid 'vehicleId' property",
"context": {}
}
]
}{
"code": "unauthorized",
"message": "Unauthorized Request",
"detail": "Please ensure you have a valid API key"
}{
"code": "forbidden",
"message": "Forbidden Request",
"detail": "Please ensure the connection token matches the resource you are attempting to access."
}{
"code": "too_many_requests",
"message": "Too Many Requests",
"retryAfter": 60,
"detail": "You have exceeded your rate limit. Please try again later."
}{
"code": "internal_server_error",
"message": "Internal Server Error",
"detail": "Something went wrong"
}{
"code": "gateway_timeout",
"message": "Gateway Timeout"
}List Sync History
List a log of all batch sync jobs for the current connection.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Scopes the request to a Terminal application in the caller's organization. Required for multi-application organizations when using a user session or OAuth access token. API keys are already bound to a single application.
The token returned when a user authenticated their account. This authorizes access to a specific account.
^con_tkn_\S+$"con_tkn_22vUhkC6tgre4kwaYfUkCDA1rzn6eyb4"
Query Parameters
The maximum number of results to return in a page.
Pagination cursor to start requests from
^[A-Za-z0-9+/=_-]+$"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"
The status of the sync
requested, in_progress, completed, failed "completed"
Expand related resources in the response to reduce requests.
issues